<bugID>580007<Summary>When shutting down Firefox close the window first</Summary><Description>When closing Firefox the shutdown progress begins before the window is removed from the screen. By first removing the window from the screen, we can greatly improve the perceived shutdown time.

Recommendation:
1. When shutting down Firefox close the window first (remove it from the screen)
2. Once the window is removed begin the shutdown process.</Description></bugID>